# Kurs #

Die URL vom Kurs findet man hier: <http://www.math.uni-leipzig.de/~sinn/lehre/LA1.html>.

## Notizen aus jeder Woche ##

Jede Woche werden Anmerkungen in Markdown-Dateien hier festgehalten:

- Woche 1: ---
- Woche 2: ---
- Woche 3: [/protocol/woche3/README.md](./woche3).
- Woche 4: [/protocol/woche4/README.md](./woche4).
- Woche 5: [/protocol/woche5/README.md](./woche5).
- Woche 6: [/protocol/woche6/README.md](./woche6).
- Woche 7: [/protocol/woche7/README.md](./woche7).
- Woche 8: [/protocol/woche8/README.md](./woche8).
- Woche „9“: ---
- Woche „10“: [/protocol/woche10/README.md](./woche10).
- Woche „11“: [/protocol/woche11/README.md](./woche11).
- Woche „12“: [/protocol/woche12/README.md](./woche12).

## Übungsgruppen ###

Die Übungsgruppen sind Pflichtveranstaltungen.

Jede Woche besteht der Ablauf grob aus folgenden Teilen:

- allgemeine Ankündigungen
- Präsentation von SKA von jeder Gruppe (sofern anstehend)
- Besprechung von ÜB aus vorheriger Woche (sofern korrigiert)
- Besprechung vom Stoff aus VL
- Quiz 10min
- Breakout-Rooms für SKA

Je nach Zeit und Nachfrage fallen manche Dinge aus, damit wir uns den wichtigeren Dingen widmen können.

## Leistungen ##

Klausurzulassung, wenn

- ~~?/? Quizzes~~ ⟶ keine Voraussetzung mehr. Die Quizzes sind freiwillig!
- ≥ 50% der Punkte von 11 Übungsblättern (82,5 Punkte).
- **ACHTUNG:** Es gibt zwar ggf. ein 12. ÜB und mehr Punkte auf einigen der Blätter, aber der Schwellwert bleibt bei 82,5 Pkt, so der Professor.

## Klausur ##

Allgemeine Aspekte:

- voraussichtlich am **12.02.2021**
- Geplante Schreibdauer: **90 min**.
- Zugeordnete Zeit: **12:00–14:00** (Pufferzeit eingebaut, damit man Dateien herunter und hochladen kann).
- 6 Aufgaben

Im folgenden Abschnitt werden empfohlenes Material zur Vorbereitung stichpunktartig aufgelist.

**ACHTUNG:** Dies ist als Hinweis zu verstehen.
Generell für eine Klausur muss man den ganzen in der VL behandelten Stoff gemeistert haben.
Diese sind als minimalistische Listen von Aspekten gedacht,
die auf jeden Fall für die Klausur wichtig sind.
Sie sind nicht unbedingt vollständig.

### Themen / VL-Materialien ###

- Kapitel 1: Müsst ihr allgemein kennen.
    - Konkrete Dinge wie Strecken, Ebenen, usw. kommen eher in Geometrie und hier nicht vor.
    - Eliminationsverfahren und Lösbarkeit von LGS:
        - Lösung des homogenen Systems Ax = 0
        - Lösung des inhomogenen Systems Ax = b
        - Die Äquivalenzen in §6.4 fassen einiges hier viel kürzer zusammen.
- Kapitel 2: Müsst ihr generell können. Insbesondere Umgang mit
    - Axiomen von (partiellen/totalen) Ordnungsrelationen
    - Axiomen von Äquivalenzrelationen
    - Für Funktionen, f : X ⟶ Y
        - der Graph von f
        - Umkehrabbild f¯¹ (wenn f bijektiv ist).
        - f¯¹(B) für B ⊆ Y, d. h. Urbildmengen von B unter f
            (!! und dass dies NICHT dasselbe wie das Inverse f¯¹ : Y ⟶ X ist !!)
        - f(A) für A ⊆ X, d. h. Bild von A unter f
        - Konzepte von Injektivität/Surjektivität/Bijektivität
            (!! und dass sich diese NICHT gegenseitig ausschließen!!)
        - Komposition von Funktionen
- Kapitel 3: Müsst ihr generell können. Insbesondere Umgang mit
    - ℤ/_n_ für konkrete Werte von _n_,
    - Berechnung von Addition, Multiplikation, und Inverses modulo _n_ (for konkrete Werte).
- Kapitel 4:
    - Grundkonzepte wie Inverses in Gruppentheorie.
    - Grundkonzepte von Körpern und Ringen.
    - Umgang mit LGS über Vektorräume über einem Körper K (konkreter Umgang mit 𝔽ₚ für _p_ prim):
        - genau wie bei ℝ-wertigen Matrizen nur mit Addition/Multiplikation/Inversen in 𝔽ₚ (d. h. ℤ/_p_).
        - man muss insbesondere Division durch 0 mod p vermeiden und es hilft,
        die Werte immer als Werte aus {0, 1, 2, ..., p–1} darzustellen.
        Z. B. in 𝔽₅ sollte man eine Matrix

                A = ( 12  -1    4   1 )
                    (  0  80  -17  28 )

            eher darstellen als

                A = ( 2  4  4  1 )
                    ( 0  0  3  3 ),

        damit man vor allem den Rang und die Zeilenstufen richtig erkennt.
- Kapitel 5: Hier müsst ihr generell alles meistern.
    - dass man aus Vektorräumen andere Vektorräume konstruieren kann (z. B. durch Produkte)
    - Unterräume
    - Lin(A) für A ⊆ V, V ein Vektorraum
    - Basis:
        - lineare Unabhängigkeit, Erzeugendensysteme, Basis.
            - Überprüfung von linearer Unabhängigkeit
            - Berechnung von Basen:
                - anhand einer Menge von Vektorren:
                    - Reduktion einer Menge von Vektoren auf eine (maximale) linear unabhängige Teilmenge
                    - Erweiterung von (ggf. nicht linear unabhängigen) Vektoren auf eine Basis
                - Basis von Spaltenraums einer Matrix A:
                    - A ⟶ Zeilenstufenform ⟶ merke Spaltenpositionen j1, j2, ... wo Stufen sind
                    - Die Spalten j1, j2, ... von der Originalmatrix, A, bilden eine Basis von Bild(A)
            - Konkrete Fälle:
                - „kanonische Basis“ von ℝⁿ für beliebige konkrete Werte von _n_.
                - „exotische“ Beispiele von Vektorräume wie der Raum der Polynomen, ℝ[x], und deren „kanonische“ Basen.
    - Dimension, Dimensionsformel.
    - Rang:
        - Zeilenrang := #Stufen von A in Zeilenstufenform
        - Spaltenrang := dim(Bild(A))
        - **Lemma:** Zeilenrang = Spaltenrang
        - **Definition:** Rang := Zeilenrang = Spaltenrang;
- Kapitel 6 | 6.1–6.4:
    - lin. Abb
    - Kern, Bild
    - Injektivität, Surjektivität, Bijektivität („Isomorphismus“)
    - Zusammenhang zw. Dimension von U, V und Eigenschaften von einer linearen Abbildung φ : U ⟶ V.
    - !! Lineare Ausdehnung !!
        - insbes. 6.1.13, nur bekommt ihr eine Situation,
        wo ihr eine Definition auf einer Basis + einem zusätzlichen linear abhängigen Element bekommt
    - Das Konzept von Darstellungsmatrizen (aber nicht die Berechnung von Basiswechseln)
    - Invertierbare Matrizen (musst algebraisch/symbolisch damit umgehen können, aber ihr müsst keine Inversen explizit ausrechnen). Ihr müsst aber Konzepte anwenden wie (AB)¯¹ = B¯¹A¯¹,
    und dass der Raum der invertierbaren Matrizen unter Multiplikation stabil sind.
- Kapitel 6 | 6.5+: nicht behandelt.
- Kapitel 7: nicht behandelt

### Empfolene Übungen ###

#### SKA ####

_(Unter Arbeit)_
#### Übungsblätter ####

_(Unter Arbeit)_
#### Quizzes ####

_(Unter Arbeit)_

### Was _anscheindend_ nicht in der Klausur vorkommt ###

- _Räume_ von linearen Operatoren, also die Vektorräume der Form L(V, W). (Aber ihr müsst natürlich mit linearen Operatoren umgehen können!)
- Basiswechseln (aber ihr müsst mit der )
- Koordinatenwecheln
- Inverse von Matrizen explizit berechnen.
